Page MenuHomeFreeBSD

devel/py-semantic_version: Update to 2.6.0
ClosedPublic

Authored by loader on May 17 2017, 7:50 AM.
Tags
None
Referenced Files
F78345052: D10768.diff
Sat, Mar 2, 7:30 AM
Unknown Object (File)
Dec 20 2023, 6:23 AM
Unknown Object (File)
Dec 12 2023, 10:45 PM
Unknown Object (File)
Nov 8 2023, 4:14 PM
Unknown Object (File)
Nov 7 2023, 2:34 AM
Unknown Object (File)
Nov 5 2023, 6:40 PM
Unknown Object (File)
Oct 7 2023, 3:01 PM
Unknown Object (File)
Oct 6 2023, 1:32 AM
Subscribers

Details

Summary

Proposed commit log message:

devel/py-semantic_version: Update to 2.6.0

- Add NO_ARCH
- Allow concurrent installation (USE_PYTHON=concurrent)
- Remove OPTION TESTS
- Rename regression-test: target to do-test:

Reviewed_by: koobs
Approved by: koobs (ports)
Differential_Revision: D10768
Test Plan
# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere log:
https://pastebin.com/raw/tVam23vu

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Add USE_PYTHON=concurrent

loader retitled this revision from devel/py-semantic_version: update to 2.6.0 to devel/py-semantic_version: Update to 2.6.0.Jun 20 2017, 9:04 AM
loader edited the summary of this revision. (Show Details)
loader edited the test plan for this revision. (Show Details)
koobs added inline comments.
devel/py-semantic_version/Makefile
23 ↗(On Diff #29850)

Add a comment above here showing 'actual' supported versions (upstream says 2.7,3.4+):

When the Python framework supports more granular/explicit version specifications, this will come in handy.

# Actually 2.7,3.4+
This revision is now accepted and ready to land.Jun 20 2017, 11:01 AM
devel/py-semantic_version/Makefile
23 ↗(On Diff #29850)

Is someone from python@ working on making something like this work ?

This revision was automatically updated to reflect the committed changes.